# Uses of Enum Class
org.apache.sysds.hops.recompile.Recompiler.ResetType

Packages that use Recompiler.ResetType
Package
Description
org.apache.sysds.hops
org.apache.sysds.hops.recompile

## Uses of Recompiler.ResetType in org.apache.sysds.hops

Methods in org.apache.sysds.hops with parameters of type Recompiler.ResetType
Modifier and Type
Method
Description
`static void`
Hop.`resetRecompilationFlag(ArrayList<Hop> hops, Types.ExecType et, Recompiler.ResetType reset)`
`static void`
Hop.`resetRecompilationFlag(Hop hops, Types.ExecType et, Recompiler.ResetType reset)`

## Uses of Recompiler.ResetType in org.apache.sysds.hops.recompile

Methods in org.apache.sysds.hops.recompile that return Recompiler.ResetType
Modifier and Type
Method
Description
`Recompiler.ResetType`
RecompileStatus.`getReset()`
`static Recompiler.ResetType`
Recompiler.ResetType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Recompiler.ResetType[]`
Recompiler.ResetType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.hops.recompile with parameters of type Recompiler.ResetType
Modifier and Type
Method
Description
`static void`
Recompiler.`recompileFunctionOnceIfNeeded(boolean recompileOnce, List<ProgramBlock> childBlocks, long tid, boolean inplace, Recompiler.ResetType reset, ExecutionContext ec)`
`static void`
Recompiler.`recompileProgramBlockHierarchy(List<ProgramBlock> pbs, LocalVariableMap vars, long tid, boolean inplace, Recompiler.ResetType resetRecompile)`
Constructors in org.apache.sysds.hops.recompile with parameters of type Recompiler.ResetType
Modifier
Constructor
Description
``
`RecompileStatus(long tid, boolean inplace, Recompiler.ResetType reset, boolean initialCodegen)`